# Resend an invite to test number of sender for project (deprecated)

Resend an invite and returns state for test number of sender for a project.

Endpoint: GET /v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/retry
Version: 1.2.126
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `senderId` (string, required)
    The unique ID of the sender.

  - `testNumber` (string, required)
    the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

## Response 200:

  - `200` (unknown)
    test number state

## Response 200 fields (application/json):

  - `number` (string, required)
    Test phone number.

  - `state` (string, required)
    Test phone state.
    Enum: "DECLINED", "EXPIRED", "FAILED", "INVALID", "PENDING", "REJECTED", "UNVERIFIED", "VERIFIED", "UNRECOGNIZED"

  - `submitted` (string, required)
    Date of submitting phone number.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 429:

  - `429` (unknown)
    TooManyRequests

## Response 429 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 200 examples:

  - `Get response` (unknown)
    Response with test number state.

    Please note that if you send an invite to verified number, state will be changed to unverified.

## Response 400 examples:

  - `InvalidIdFormatError` (unknown)

  - `NoGoogleSupplierError` (unknown)

  - `AddTestNumberInvalidError` (unknown)

  - `InvalidRegionForAttSupplierError` (unknown)

## Response 401 examples:

  - `UnauthorizedErrorError` (unknown)

## Response 404 examples:

  - `SenderNotFoundError` (unknown)

  - `UserIsNotTesterForAgentError` (unknown)

  - `AddTestNumberNotAllowedBeforeLaunchError` (unknown)

  - `BlockedBecauseTheRecipientDeclinedError` (unknown)

## Response 429 examples:

  - `RbmTooManyRequestsError` (unknown)

## Response 500 examples:

  - `InternalErrorError` (unknown)

